Package org.apache.tools.ant.types.resources.selectors

# Class Type.FileDir

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.resources.selectors.Type.FileDir

Enclosing class:
  `Type`

public static class Type.FileDir extends EnumeratedAttribute
Implements the type attribute.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileDir()`
  Default constructor.
  `FileDir(String value)`
  Convenience constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  Return the possible values.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileDir

    public FileDir()
    Default constructor.

  - ### FileDir

    public FileDir(String value)
    Convenience constructor.
    Parameters:
      `value` - the String EnumeratedAttribute value.

- ## Method Details

  - ### getValues

    public String[] getValues()
    Return the possible values.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      a String array.